Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServTypeIPMode

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetServTypeIPMode

public class InetServTypeIPMode extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDRESS_ALL_INTERFACE`
  `static final String`
  `IP_DYNAMIC`
  `static final String`
  `IP_HANDLER`
  `static final String`
  `IP_NO`
  `static final String`
  `IP_STATIC`
  `static final String`
  `IPV4`
  `static final String`
  `IPV6`
  `static final String`
  `NET_MODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServTypeIPMode(org.json.JSONObject json)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIpHandlerClassName()`
  `int`
  `getNetMode()`
  `boolean`
  `isAddressAllInterface()`
  `boolean`
  `isSelectDynamic()`
  `boolean`
  `isSelectNo()`
  `boolean`
  `isSelectStatic()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IPV4

    public static final String IPV4
    See Also:
      - Constant Field Values

  - ### IPV6

    public static final String IPV6
    See Also:
      - Constant Field Values

  - ### IP_HANDLER

    public static final String IP_HANDLER
    See Also:
      - Constant Field Values

  - ### IP_NO

    public static final String IP_NO
    See Also:
      - Constant Field Values

  - ### IP_STATIC

    public static final String IP_STATIC
    See Also:
      - Constant Field Values

  - ### IP_DYNAMIC

    public static final String IP_DYNAMIC
    See Also:
      - Constant Field Values

  - ### NET_MODE

    public static final String NET_MODE
    See Also:
      - Constant Field Values

  - ### ADDRESS_ALL_INTERFACE

    public static final String ADDRESS_ALL_INTERFACE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InetServTypeIPMode

    public InetServTypeIPMode(org.json.JSONObject json)

- ## Method Details

  - ### getIpHandlerClassName

    public String getIpHandlerClassName()

  - ### isSelectNo

    public boolean isSelectNo()

  - ### isSelectStatic

    public boolean isSelectStatic()

  - ### isSelectDynamic

    public boolean isSelectDynamic()

  - ### getNetMode

    public int getNetMode()

  - ### isAddressAllInterface

    public boolean isAddressAllInterface()